insserv (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0.
     - includes support for OpenRC scripts (Closes: #962412).
  * d/control:
     - add myself to Uploaders.
     - remove retired Uploaders (Closes: #910797)
     - update to Standards Version 4.6.0 (no changes)
  * d/patches:
    - remove patches-from-trek-closes-971713.patch applied upstream.
    - Refresh patches.
    - New patch to keep /sbin/insserv and /lib/lsb/ in / despite
      upstream now using PREFIX.
  * Remove obsolete /etc/bash_completion.d/insserv conffile (Closes: #868103).

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 12:57:28 +0100

insserv (1.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Apply patches from Trek to only check LSB headers for overlapping
    run-levels and document Default-{Start,Stop} more clearly
    (Closes: #971713)

 -- Matthew Vernon <matthew@debian.org>  Sun, 21 Feb 2021 17:13:07 +0000

insserv (1.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 28 Sep 2019 00:02:45 +0000

insserv (1.21.0~beta-1) unstable; urgency=medium

  * New upstream release (Closes: #633858)
  * Refresh patches
  * Fix spelling error in manpage

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 26 Aug 2019 22:13:17 +0000

insserv (1.20.0-2) unstable; urgency=medium

  * [233d6578] Fix spurious warnings about unknown virtual dependencies
    (Closes: #932199)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 19 Jul 2019 14:56:05 +0000

insserv (1.20.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #544229)
  * Upload to unstable.
  * [ed123226] Drop 170_undeclared_extension.patch
  * [a7b8f47b] Update debhelper compat to 12
  * [d868be3c] Update standards version to 4.4.0 (no changes needed)
  * [f5bbe191] Include 'pdns-recursor' into $named virtual facility
    (Closes: #833126)
  * [d7635e47] Remove /etc/init.d/.depend.* files on purge (Closes: #864279)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 14 Jul 2019 15:16:37 +0000

insserv (1.20.0~beta2-1) experimental; urgency=medium

  * New upstream release
    (Closes: #573571, #775912, #661314, #547717, #547609, #601054, #538304, #926547, #622878)
  * Drop patches, applied upstream; refresh rest. Patches applied upstream:
    + 92_m68k_alignment.patch
    + 130_crossbuild_fixes.patch
    + 150_core_string_test.patch
    + 21_tweak_warnings.patch
    + 180_MAXSYMLINKS.patch
    + remove-systemd-integration.patch
    + 160_manual_page_update.patch
    + 140_debian_test_suite.patch
    + 20_manpage_spelling.patch
    + fix-manpage-formatting.patch

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 15 Jun 2019 01:20:11 +0000

insserv (1.18.0-2) unstable; urgency=medium

  * Apply patch to improve formatting and spelling of insserv(8) manual
    and refresh other patches accordingly (Closes: #919610)
    + Thanks: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
  * Update standards version to 4.3.0 (no changes needed)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 20 Jan 2019 21:12:05 +0000

insserv (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * Update `debian/watch':
    + match `xz' upstream archives
    + bump uscan compat version to 4
    + use secure protocol
  * Update and refresh patches
    + Drop `10_nosuse.patch' -- upstream now have -DSUSE commented-out
    + Drop `30_interactive_regexp_match_fix.patch' -- applied upstream
    + Refresh `21_tweak_warnings.patch'
    + Refresh `92_m68k_alignment.patch'
    + Drop `100_show.patch' -- upstream accepted `--showall' option
    + Refresh `130_crossbuild_fixes.patch'
    + Refresh `140_debian_test_suite.patch'
    + Refresh `150_core_string_test.patch'
    + Refresh `160_manual_page_update.patch'
    + Refresh `180_MAXSYMLINKS.patch'
    + Refresh `warn_in_ignore_mode.patch'
  * Add patch to disable systemd integration and remove dbus dependency
  * Drop failing test, concerning script with no LSB header.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/run-testsuite
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Set mailing list to Maintainer field, add myself to Uploaders list
  * Do not create obsolete `/etc/bash_completion.d'
  * Do not use absolute path to commands in maintainer script
  * Do not set dpkg-architecture variables in `debian/rules'. They
    are managed as apporiate by debhelper.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 12 Dec 2018 22:32:47 +0000

insserv (1.14.0-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/postinst: Run insserv after package installation, to fix up the
    rc?.d priorities from the dumb update-rc.d fallback (which uses priority
    01 for everything). (Closes: #830963)

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Jul 2016 12:40:50 +0200

insserv (1.14.0-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not suppress warnings on force mode
    (Closes: #811441)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 22 Feb 2016 21:22:07 -0300

insserv (1.14.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on hurd. (Closes: #812898)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 27 Jan 2016 18:43:02 +0100

insserv (1.14.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-5, using Mohit Bhakkad's version of the patch that
    handles clang as well. (Closes: #777914)
  * Remove DM-Upload-Allowed.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Jan 2016 13:52:27 +0100

insserv (1.14.0-5) unstable; urgency=low

  * Add +mountall-bootclean to $local_fs virtual facility definition in
    insserv.conf. (Closes: #693371)
  * Add test_bootmisc_order test to suite to verify the mountall-bootclean
    dependency works as expected.

 -- Kel Modderman <kel@otaku42.de>  Sun, 18 Nov 2012 11:55:44 +1000

insserv (1.14.0-4) unstable; urgency=low

  * Provide machine parseable output which may be used by file-rc to calculate
    dynamic sequence number for each script. (Closes: #573004)
  * Use "overrides" instead of "overwrites" and define defaults as "LSB
    defaults" when emitting warnings. (Closes: #668559)
  * Remove upstart jobs created by test_insserv_upstart at end of test.
  * Remove config snippets made by test_local_virtual at end of test.

 -- Kel Modderman <kel@otaku42.de>  Thu, 05 Jul 2012 21:13:26 +1000

insserv (1.14.0-3) unstable; urgency=low

  * Acknowledge NMUs, thanks Christian & Luk.
  * Use source format 3.0 (quilt), drop build dependency on quilt.
    Remove debian/README.source.
  * Use dh at compat level 8, significantly reduce debian/rules and
    build depend on debhelper >= 8.
  * Use dh_bash-completion dh sequence utility to install completion
    snippet, rename snippet to debian/insserv.bash-completion and build
    depend on bash-completion.
  * Use dpkg-buildflags to set default CFLAGS & LDFLAGS and get noopt
    handling for free. 130_crossbuild_fixes.patch allows upstream
    Makefile defaults for COPTS, LDFLAGS & CC to be overridden by the
    environment variables exported by debian/rules. Also decouple `make
    check' from `make install' to ease cross building. Set & export CC
    environment variable in debian/rules to (hopefully) allow cross
    building. (Closes: #629540, #629539, #666212)
  * Patch upstream Makefile to execute Debian testsuite instead of
    common suite.
  * Update to Standards-Version 3.9.3, no changes in policy warranted
    changes in packaging.
  * Refresh patch series.
  * Suggest the actively maintained bootchart2 instead of the doormant
    bootchart package. (Closes: #599012)
  * Update insserv package description. (Closes: #549327)
  * Undocument the CONCURRENCY feature and add a reference to a modern
    discussion about the status of init systems in Debian. (Closes: #605368)
  * Add test_invalid_core_string to test conditions described in
    #611292.
  * Correctly quote here statements in test_undetected_loop with non-
    interpolating quotation marks. Make test unconditionally fatal now
    that test is not incorrectly interpolating $local_fs in script headers.
  * Add 150_core_string_test.patch from Ben Harris <bjh21@cam.ac.uk> to
    fix inconsistent filtering of core dumps. (Closes: #611292)
  * Fix manual page reference to init(8). (Closes: #634150)
  * Purge update-rc.d-insserv & update-bootsystem-insserv as per
    Petter's advice in changelog entry for version 1.12.0-11. sysv-rc >>
    2.87dsf-2 takes care of all that stuff now.
  * No longer provide LSB dependency overrides for obsolete (etch or
    before) packages such as hotplug, modutils, initrd-tools and devfsd.
    (Closes: #545164, #545165, #545166, #545169)
  * Mention when insserv should (not) be used and how update-rc.d is
    almost always the interface you want to use. (Closes: #566352)
  * Use the package short summary in the manual page too, it mentions
    the keyword "dependency". (Closes: #609655)
  * Update debian/watch file for savannah.gnu.org sysvinit project site.

 -- Kel Modderman <kel@otaku42.de>  Mon, 09 Apr 2012 23:08:25 +1000

insserv (1.14.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #619657
    - Slovak (Slavko).  Closes: #641960
    - Bokmål, (Bjørn Steensrud).  Closes: #654871

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Jan 2012 08:11:26 +0100

insserv (1.14.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop definition of $portmap (Closes: #564501).
  * Add unbound to definition of $named (Closes: #602901).

 -- Luk Claes <luk@debian.org>  Sat, 19 Mar 2011 12:48:34 +0100

insserv (1.14.0-2) unstable; urgency=low

  [ Kel Modderman ]
  * Add 21_tweak_warnings.patch to make insserv warn about differing on
    disk state/LSB runlevel info for the script(s) in its argument list.
    (Closes: #578308)
  * Add 100_show.patch which allows insserv --showall to dump start/stop
    bit, sequence number, runlevels and script name in the format:
    SK:NUM:RUNLEVELS:SCRIPT. It is commented out in quilt series file
    until confirmation from #573004 that it is actually useful.
  * Add 30_interactive_regexp_match_fix.patch which fixes failure to
    properly match the correct group in the regular expression used on
    the X-Interactive keyword. (Closes: #580564)
  * Modify 92_m68k_alignment.patch so that the define is grouped in an
    area of code which other similar defines live.

  [ Petter Reinholdtsen ]
  * Improve the output from make-testsuite.
  * Adjust the test_x_interactive behaviour to make sure it fails with
    a fatal error if X-Interactive: true do not work.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 07 May 2010 09:45:19 +0200

insserv (1.14.0-1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typo (loop->look) in previous changelog (Closes: #549286).
    Thanks to Josh Triplett.
  * New testsuite code test_undetected_loop to report error when the
    loop detection fail to trigger with a loop involving a virtual
    facility, as was detected in #554905.
  * Change homepage link to the Savannah project.

  [ Kel Modderman ]
  * New upstream release.
  * Drop patches applied upstream:
    - 20_install_perms_fixup.patch
    - 21_tests_suite_new_functions.patch
    - 30_deterministic_order.patch
    - 40_badboy_segfault.patch
    - 50_symlink_in_initddir.patch
    - 60_all_keyword_start_only.patch
    - 61_interactive_keyword.patch
    - 62_upstart_job.patch
    - 70_req_start_all_depends.patch
    - 71_complete_makefile.patch
    - 80_manual_warnings.patch
    - 81_lessverbose.patch
    - 82_loop_exit_msg.patch
    - 90_no_runlevel_spec_for_debian.patch
    - 91_kfreebsd_nofadvice.patch
    - 93_hurd_no_path_max.patch
    - 94_v1_12_2.patch
    - 95_stop_all.patch
    - 96_hurd_no_at_funcs.patch
  * Refresh remaining patch series.
  * Set debian/source/format to 1.0.
  * Adjust Standards-Version to 3.8.4, no other chages required.
  * Add 20_manpage_spelling.patch to fix spelling errors in insserv(8).
  * Add note next to test_undetected_loop() that it's 2 tests currently
    fail but are not terminal.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 03 May 2010 08:13:56 +0200

insserv (1.12.0-14) unstable; urgency=low

  * Remove obsolete rules targets missing-overrides, bin-by-inst.txt,
    missingpkgs, missing-by-popcon and clean-extra.
  * New patch 82_loop_exit_msg.patch to make exit message when a loop
    is detected look more like the exit messages when other problems
    are detected.
  * Make check-initd-order report missing provides header as errors
    instead of printing perl warnings.
  * New patch 62_upstart_job.patch implementing support for upstart
    jobs (Closes: #547235).  Add testsuite test to ensure that it is
    working.
  * Refreshed all patches.
  * New patch 96_hurd_no_at_funcs.patch to try harder to get the
    source building on hurd, where for example the readlinkat() symbol
    exist in libc but always fail.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 01 Oct 2009 19:58:44 +0200

insserv (1.12.0-13) unstable; urgency=low

  * New argument -b to check-initd-order, to be able to replace /etc/
    with another directory.  This allow for easier testing of the script.
  * Update update-rc.d-insserv to the one in sysv-rc svn.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Sep 2009 21:58:11 +0200

insserv (1.12.0-12) unstable; urgency=low

  * Use dh_lintian during build.  Depend on debhelper (>= 6.0.7) for this.
  * Correct wiki URL in README.Debian (Closes: #545171).  Thanks to
    Josh Triplett for noticing the old URL.
  * Make sure check-initd-order generated valid dotty files when
    scripts provide strings with " in them (Closes: #545521).  Thanks
    to Laurent Bonnaud for discovering the problem.
  * Drop the Loading... messages from the default verbosity level, and
    only show them when -v is used several times.
  * Add script check-archive-initd-scripts to check all init.d scripts
    in the Debian archive for consistency.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 11:27:49 +0200

insserv (1.12.0-11) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Migrate the responsibility for enabling or disabling dependency
    based boot sequencing from the insserv package to the sysv-rc
    package.  Rewrite package description to reflect this (Closes:
    #475478, #511753, #538959).  Keep a dummy update-bootsystem-insserv
    script to avoid having to conflict with sysv-rc version 2.87dsf-2.
    Keep update-rc.d-insserv to make it impossible for the update-rc.d
    diversion to be a dangling link during upgrades.  Make it a copy
    of update-rc.d from the new sysv-rc version to make sure both
    behave the same way.  update-rc.d-insserv should be removed in
    Squeeze+1.  update-bootsystem-insserv could be removed when
    sysv-rc 2.87dsf-2 has been gone from unstable for 3 months.
  * Drop dependencies on sysv-rc, initscripts and sysvinit-utils, and
    leave it for sysv-rc to pull in the packages needed for dependency
    based boot sequencing to work properly.
  * Update README to reflect that dependency based boot sequencing is
    now the default in Debian.  Drop reference to obsolete CONCURRENCY
    setting (Closes: #540447).
  * Add new test case test_override_remove trying to reproduce bug #540866.
    No luck so far.
  * Add new test case test_insserv_virt_loop to reproduce a bug
    reported by Raphael Geissert, where an incorrect insserv.conf will
    make insserv hang forever.  Add new patch 94_v1_12_2.patch from
    upstream to fix it (Closes: #541613).
  * Correct test test_early_all to fail if $all do not work with stop
    sequences.  Add new patch 95_stop_all.patch from upstream to fix
    it (Closes: #542043).
  * Change the definition of $syslog to include rsyslog, sysklogd,
    dsyslog, inetutils-syslogd  and syslog-ng, to include all syslog
    implmenetations in the archive.  Dropped the syslog provide from
    the list, as it should not be used.
  * Update to Standards-Version 3.8.3, no changes required.
  * Add lintian override for the transitient update-bootsystem-insserv
    binary missing a manual page.
  * Add new test test_local_virtual to verify that local virtual
    facilities work properly.

  [ Kel Modderman ]
  * Add new patch 20_install_perms_fixup.patch to install binary and
    conffile with correct permissions.
  * Add new patch 21_tests_suite_new_functions.patch to add a couple
    of new test suite functions to upstream test suite.
  * Make sure update-rc.d compares command line parameters for start/stop
    runlevel configuration with the Default-Start and Default-Stop values in
    LSB info comment of script and warns if there are differences.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Sep 2009 11:50:22 +0200

insserv (1.12.0-10) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change check-initd-order to return a exit code when there is a problem
    with the boot sequence or dependencies.
  * Change the default to enable dependency based boot sequencing if
    it is safe to do.  This should enable it in the common case,
    while avoiding conversion on problems.
  * Move all code from insserv.config to insserv.postist and remove
    insserv.config to make sure update-bootsystem-insserv is available
    and working when it is needed to test if it is safe to migrate to
    dependency based boot sequencing.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Jul 2009 21:06:56 +0200

insserv (1.12.0-9) unstable; urgency=low

  * Adjust patch 71_complete_makefile to make sure the recursion depth
    calculation is done correctly in expand_faci().

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Jul 2009 20:41:24 +0200

insserv (1.12.0-8) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Refresh 92_m68k_alignment.patch.
  * Simplify test for bug #534526, while still triggering the bug.
  * Change definition of $time to make hwclock optional, as it might
    be dropped from the boot sequence in the future.
  * New patch 71_complete_makefile from upstream fixing .depend.*
    content when processing virtual facility definitions refering to
    other virtual facilities (Closes: #534526).

  [ Kel Modderman ]
  * Before inserting an initscript with insserv, check that
    /etc/init.d/<basename> exists in update-rc.d-insserv.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Jul 2009 23:53:05 +0200

insserv (1.12.0-7) unstable; urgency=low

  * Update standards-version from 3.8.1 to 3.8.2.  No changes needed.
  * Fix wrong quote char in insserv(8) manual page.
  * Add required trailing slash to Vcs-Browser URL.
  * Improve package description to make it more obvious that insserv
    is not activated when installed.
  * Depend on sysvinit-utils (>= 2.86.ds1-62) to get a version of
    startpar that keep working even when /dev/pts is not yet mounted.
  * Depend on the initscripts version we want (>= 2.86.ds1-63)
    (instead of conflicting with the version we do not want which can
    give upgrade problems), to get one with the X-Interactive flags
    set in the scripts.  Drop hostname, mountkernfs, mountdevsubfs,
    checkroot and checkfs from the list of interactive scripts.
  * New patch 91_kfreebsd_nofadvice.patch trying to get the source
    building on kfreebsd.
  * New patch 92_m68k_alignment.patch trying to get the source
    building on m68k (Closes: #493637).
  * New patch 93_hurd_no_path_max.patch trying to get the source
    building on hurd.  Need a better one.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 Jul 2009 00:17:13 +0200

insserv (1.12.0-6) unstable; urgency=low

  * Add keyboard-setup, console-setup, cryptdisks, cryptdisks-early
    and checkfs-loop as interactive scripts while we wait for scripts
    to use X-Interactive: true as documented in bug #458224 (Closes:
    #510517, #534711).
  * Fix typo in testsuite function initdir_purge(), making sure the
    rc?.d directories are removed during purge.
  * Add new patch introducing a new keyword 'X-Interactive: true' in
    the LSB header (Closes: #458224).  Add test suite to verify that
    it is working.
  * Add DM-Upload-Allowed: yes header to allow my co-maintainer to
    upload this package.
  * Add testcase for incomplete .depend.boot file based on test
    created by Raphael Geissert for bug #534526.  Make this a
    non-fatal error in production builds while we figure out what is
    wrong.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Jun 2009 20:18:36 +0200

insserv (1.12.0-5) unstable; urgency=low

  [ Kel Modderman ]
  * Convert dpatches to quilt series and adjust debian/rules and
    debian/control.
  * Refresh debian/patches/10_nosuse.patch to apply without fuzz.
  * Add debian/patches/70_req_start_all_depends.patch to correct
    dependency information written to .depend.* files for scripts which
    declare Required-Start: $all. Thanks to upstream developer Werner
    Fink for giving us th heads up about this problem and patch.
  * Add Japanese translation. Thanks Hideki Yamane. (Closes: #512858)
  * Add Swedish translation. Thanks Martin Bagge. (Closes: #503603)
  * Add debian/manpages and call dh_installman without specific
    arguments in debian/rules.
  * Depend on debhelper >= 6 and use compat level of 6.
  * Update to Standards-Version 3.8.1 without any required changes.
  * Add Homepage field to debian/control.
  * Add debian/patches/80_manual_warnings.patch to correct format,
    spelling and grammar errors in manual page.
  * Add debian/patches/90_no_runlevel_spec_for_debian.patch to remove
    reference to known runlevels on Debian systems. These should be
    defined in Debian policy. (Closes: #500542)
  * Add interface to disable|enable service symlinks for all Default-
    Start runlevels or those specified on the command line. This is
    analogous to the interface introduced to update-rc.d of 2.86.ds1-62.
  * Make sure disable|enable action does not call insserv if it did not
    alter any runlevel symlinks.
  * Consolidate debian/insserv.dirs into debian/dirs, only one should
    exist.
  * Add debian/bash-completion and install it to /etc/bash_completion.d/
    to enhance usability for bash shell users.
  * When arguments to start/stop/defaults action are given to update-
    rc.d wrapper, emit a warning that the LSB information of script
    overrides the given arguments.
  * Improve the way in which update-rc.d disable/enable function
    determines index of S or K bit of runlevel symlink by using rindex
    instead of a hardcoded index.
  * Improve update-rc.d enable/disable function for when an unhandled
    runlevel is given as argument.
  * Also look in /usr/share/insserv/overrides/ when performing
    disable/enable function in update-rc.d.

  [ Petter Reinholdtsen ]
  * Make a note in the usage text that update-rc.d disable and enable
    API is not yet set in stone.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Jun 2009 08:19:19 +0200

insserv (1.12.0-4) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New test test_early_all to control that $all only affect start or
    stop sequences.  Trying to reproduce issue reported in #485307.

  [ Kel Modderman ]
  * Add 60_all_keyword_start_only.dpatch to prevent Required-Stop: $all
    from modifying start link sort order. (Closes: #499721)
  * Make test_early_all() test suite function unconditionally fatal,
    this is an importan bug fixed by 60_all_keyword_start_only.dpatch.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 25 Sep 2008 20:36:10 +0200

insserv (1.12.0-3) unstable; urgency=low

  [ Kel Modderman ]
  * test_fake_loop() and test_fake_loop_reverse() are now unconditionally fatal
    tests because they pass with insserv >= 1.12.0.
  * Modify 10_nosuse.dpatch to define ISSUSE as -DNOTSUSE instead of unsetting
    it, to avoid fooling the build system.
  * Purge the rc symlinks in initddir_purge() function of testsuite-common.
  * Add a remscript() function to testsuite-common for deleting initscripts
    from test init.d/ directory.
  * Add test_all_keyword() function to run-testsuite to observe the
    semantics of using the $all keyword. It is currently a non-fatal
    test.
  * Add test_script_in_runlevel() function to expose segfault reported
    in #493202.
  * Add 40_badboy_segfault.dpatch to fix segfault when scriptname()
    function of insserv does not return script name due to script in
    runlevel directory not being a symlink (or corrupt). (Closes: #493202)
  * Add 50_symlink_in_initddir.dpatch to defend aginst symlinks
    installed to /etc/init.d/ that point to other scripts in
    /etc/init.d/, causing insserv to fail due to duplicate provides.
    (Closes: #485045)
  * Extend test_initd_symlink() test suite case to handle cases which
    50_symlink_in_initddir.dpatch must handle.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Sep 2008 21:31:55 +0200

insserv (1.12.0-2) unstable; urgency=low

  [ Kel Modderman ]
  * Make test_duplicate_provides() test case more realistic by placing
    initscripts in init.d dir before registering with insserv. Make sure first
    script is registered.
  * Add test_deterministic_order() test function to make sure that when two or
    more initscripts provide the same facility, the first script actually can
    be registered with insserv reliably.
  * Add 30_deterministic_order.dpatch to defend against the inconsistent
    directory stream sequence returned by readdir(3) under different
    circumstances. (Closes: #494514)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Aug 2008 21:08:13 +0200

insserv (1.12.0-1) unstable; urgency=low

  [ Kel Modderman ]
  * New upstream version.
    - preserve empty runlevel configurations, override adding or removoval of
      existing start/top runlevel configration (Closes: #477415, #492526)
  * Discard patches applied to or no longer relevant to new upstream:
    - 11_more_warnings.dpatch
    - 32_debug_option.dpatch
    - 33_nosuse_scripts.dpatch
    - 40_segfault_virtprov.dpatch
    - 41_cleansystem.dpatch
    - 42_loopnochangemsg.dpatch
    - 50_sign_warning.dpatch
    - 51_overwrite_output.dpatch
    - 52_shutdown_links.dpatch
    - 60_disable_cfgfilter_stat.dpatch
    - 62_warn_on_missing_required_fields.dpatch
    - 63_warn_on_missing_default_fields.dpatch
    - 64_missing_default_fields_fallback.dpatch
  * Discard patches not applied in series:
    - 32_debug_option.dpatch
    - 34_debian_fixedscripts.dpatch
  * Refresh patches that still apply to new upstream:
    - 10_nosuse.dpatch
    - 31_debian_conf.dpatch
  * Add an extra call to list_rclinks() in test_newbug_keepoldorder()
    function of run-testsuite, after introducing the bug.
  * Make test_adding_start() and test_adding_stop() run-testsuite
    functions unconditionally fatal on failure.
  * Make test_bogus_facility() run-testsuite function non-fatal.
  * Mark tests that are currently failing with a comment in run-testsuite.
  * Add test_removing_start() and test_removing_stop() to run-testsuite,
    showing that insserv will preserve existing links when script header is
    unproperly replaced with empty Default-Start or Default-Stop.
  * Make test_adding_start() case a more realistic example.
  * Make test_incorrect_stopscripts() a fatal test, insserv should not
    add shutdown links when none are present.
  * Make test_newbug_keepoldorder() test case non-fatal, the fact that it
    passed before was not by design but by luck, as per upstream analysis
    which is included with test code.
  * Handle CFLAGS in debian/rules more consistently, different options were
    passed to make in build and install targets, and dpkg now also tampers
    with the variable.
  * Remove a bunch of overrides for scripts now with valid LSB information in
    testing distribution today, or have been removed from archive.
  * Add common test suite function for purging init directory, runlevel links
    and dependency makefiles.
  * Add test_incorrect_startscripts() to replicate bug report described in
    #492526, and make sure insserv do not regress in this behaviour.
  * Now we have no overrides to install by default, but we may in future,
    modify debian/rules to only install overrides from ./debian/overrides/* if
    they are present, but not fail otherwise.
  * Add test_initd_symlink() test suite function to test if illegal
    symlinks in /etc/init.d/ cause problems.
  * Bump Standards Version to 3.8.0, add debian/README.source to describe patch
    system to conform. No other changes required.
  * Add myself to Uploaders.
  * Rename 31_debian_conf.dpatch to 11_debian_conf.dpatch, to keep
    Debian port patches in tight sequence.

  [ Petter Reinholdtsen ]
  * Mention initcycle tool from Adam Jensen in README.Debian.
  * Adjust test_initd_symlink test to accept the first insertion
    and reject the second, as both scripts have the same provide.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Jul 2008 18:18:00 +0200

insserv (1.11.0-9) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New test case to demonstrate the bug reported in #477415.
  * Include empty directories /etc/insserv.conf.d and
    /etc/insserv/overrides in the package, to get dpkg to warn about
    content there when purging insserv (Closes: #471237).
  * Debconf translations:
    - Updated German from Erik Schanze (Closes: #479254).

  [ Kel Modderman ]
  * Add patch 60_disable_cfgfilter_stat to remove stat check from the
    callback function that filters the scanning of /etc/insserv.conf.d/ dir
    for confiuration file snippets. Instead do stat check in scan_conf().
  * New test case to show that two initscripts cannot have the same Provides
    field.
  * New test case exposing ability to insert a script into runlevel
    configuration that depends on virtual facility that is not provided or
    does not exist.
  * New test case to check that /etc/insserv.conf.d/ can be used to allow one
    or more services to define and provide a virtual facility.
  * Ensure custom insserv.conf.d/* files are cleaned after
    test_insserv_conf_d() in run-testsuite.
  * Add test_onlystart() test case to check we can insert scripts with empty
    stop runlevel configuration.
  * Add test_broken_header() test case to show it seems possible to insert a
    script missing Required-{Start,Stop} lsb info fields.
  * Add test_no_default_start() to show that it seems possible to insert script
    missing Default-Start field.
  * Add test_no_default_stop() to show that it seems possible to insert script
    missing Default-Stop field, and that links are created in stop runlevels.
  * Add 62_warn_on_missing_required_fields and
    63_warn_on_missing_default_fields to enable warnings by default about
    missing Provides, Required-Start, Required-Stop, Default-Start or
    Default-Stop  LSB comment keywords.
  * Add a note to new patches to relate them to a case function of the test
    suite.
  * Add 64_missing_default_fields_fallback to ensure sane fallback of
    empty runlevel configuration is used for scripts missing Default-
    Start or Default-Stop lsb keywords.
  * Add test_noprovides_header() to show that it is possible to insert script
    missing Provides keyword, and many warnings are exposed as a result.
  * Add test_adding_start() to expose that adding start levels uncleanly
    modifies on disk configuration. Give test_adding_start and
    test_adding_stop test script unique names.

  [ Petter Reinholdtsen ]
  * Made test_adding_start and test_adding_stop checks non-fatal for
    production builds, as this problem is no regression from earlier versions.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 May 2008 21:46:04 +0200

insserv (1.11.0-8) unstable; urgency=low

  * Make sure the consistency check in update-bootsystem-insserv
    report all problems and not only the first one.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Mar 2008 23:32:22 +0100

insserv (1.11.0-7) unstable; urgency=low

  * Added override files for digitools and ddns3-client.
  * Make sure the dependency based update-rc.d check the argument list
    slightly, to avoid bugs like #470062.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 13 Mar 2008 13:54:31 +0100

insserv (1.11.0-6) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Added override files for at, fiaif, gom, ifupdown-scripts-zg2 and tspc.
  * Correct typo in override file for lvm2.
  * Changed postinst and update-bootsystem-insserv to remove the
    generated files /etc/init.d/.depend.* when disabled or removed.
  * Implemented better support in check-initd-orderfor graphing $all
    relations.
  * Restructure update-bootsystem-insserv slightly to make it possible
    to check if it is safe to convert to dependency based boot
    sequencing without doing the conversion.
  * Updated 31_debian_conf to list glibc, hostname and keymap as interactive
    scripts, as none of them can use a pseudoterminal.
  * Add two new tests to verify that x-start-before and x-stop-after
    work as they should.
  * Debconf translations:
    - Added Spanish from Steve Lord Flaubert (Closes: #467391).
    - Added German from Erik Schanze (Closes: #467483).
    - Added Dutch from Bart Cornelis (Closes: #467418).

  [ Kel Modderman ]
  * Modify debian/insserv.config debconf script to honour a preseeded debconf
    value enabling dependency based boot on first installation only.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Mar 2008 18:00:02 +0100

insserv (1.11.0-5) unstable; urgency=low

  * Add test to verify that introducing a loop will not change the boot
    sequence, but make insserv exit with an error.
  * Added patch 42_loopnochangemsg to change the message printed when
    a loop is detected, to let the user know that the boot sequence is
    untouched.
  * Added patch 52_shutdown_links to fix incorrecly inserted stop
    symlinks (Closes: #464017).
  * Added patch 53_debugoutput to provide more useful debug output
    used to track down the stop symlink issues.  Not enabled by default.
  * Debconf translations:
    - Added Russian from Yuri Kozlov (Closes: #467164).
    - Added Czech from Miroslav Kure (Closes: #467170).
    - Added Italian from Luca Monducci (Closes: #467295).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Feb 2008 23:49:12 +0100

insserv (1.11.0-4) unstable; urgency=low

  * Added override file for whitelister.
  * Reinsert previously removed override file for lvm2 and others
    while we wait for the packages in testing to be fixed (Closes:
    #466700).  These should be removed when lenny is verified to have
    headers in place.
  * Debconf translations:
    - Added French from Christian Perrier (Closes: #466345).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 21 Feb 2008 09:27:34 +0100

insserv (1.11.0-3) unstable; urgency=low

  * Rewrote patch debian/patches/40_segfault_virtprov.dpatch with a
    solution provided by upstream.
  * Added script debian/seq-changes from Frans Pop installed in
    /usr/share/insserv/ to extract the sequence changes done by
    insserv.
  * New testsuite check to detect incorrectly inserted stop symlinks
    when scripts with incorrect headers are encountered.
  * Removed override file for snmptrapfmt, as the package now include
    the LSB header.
  * Removed override file save-etc-disk.  It is not present in Debian.
  * Update the package description and debconf question text (Closes: #464109).
  * New patch 11_more_warnings to activate more warning flags during
    build.  Obsoletes setting the same flags in debian/rules.
  * New patch 50_sign_warning getting rid of some signed/unsigned
    compare issues.
  * Update test suite to the one provided by Werner Fink.
  * Extended test suite to report status at the end.
  * New patch 32_debug_option to add new option -D to print debug
    output.
  * New patch 33_nosuse_scripts to disable some SUSE specific settings.
  * New patch 51_overwrite_output to improve output when symlinks on
    disk do not match the default-* headers.
  * Added override file for slashem-common.
  * New patch 41_cleansystem to clean the .system file.  Changed rules
    file to make sure it take effect.
  * Change test suite to use /bin/bash, as it uses bash-features.
  * Debconf translations:
    - Added Galician from Jacobo Tarrio (Closes: #465067).
    - Added Vietnamese from Clytie Siddall (Closes: #465437).
    - Added Portugese from Américo Monteiro  (Closes: #465519).
    - Added Finnish from Esko Arajärvi (Closes: #465800).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Feb 2008 13:54:03 +0100

insserv (1.11.0-2) unstable; urgency=low

  * Changed patch 31_debian_conf to accept rsyslog and syslog-ng as
    implementations for the $syslog facility.
  * Added test case to detect insserv crashing when it find scripts
    providing virtual system facilities.
  * Changed update-bootsystem-insserv to refuse to enable dependency
    based boot sequencing when a script provide a virtual system
    facility.
  * Changed patch 10_nosuse.dpatch to make sure we build with -g.
  * Added patch debian/patches/40_segfault_virtprov.dpatch to avoid
    segfault when finding an enabled script that provide a virtual
    system facility.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  1 Feb 2008 09:24:10 +0100

insserv (1.11.0-1) unstable; urgency=low

  * New upstream version.
    - Drop patches 20_path_at_runtime, 21_overrides, 32_debian_nolsb,
      33_debian_localok, 38_debuginfo, 40_nosusescript,
      41_debiandefault, 42_redundantlvl, 43_shutdown,
      44_reportloopmemb, 45_loopsarefatal and 46_complete_removal
      merged upstream.
    - Updated insserv(8) manual page for Debian (Closes: #462064).
    - Correct path to insserv.conf in test suite to keep it working.
    - A lot faster (Closes: #462211).
  * New example script make-testsuite useful to generate a test script
    demonstrating a problem.
  * Added override files for guidedog and puppet.
  * Removed override file for atd and lvm2, as the packages now include
    the LSB header.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 31 Jan 2008 09:05:07 +0100

insserv (1.10.0-6) unstable; urgency=low

  * Implement support for preseeding insserv, to make it possible to
    enable it at install time.  This only work the first time the
    package is installed and config is executed when
    /usr/sbin/update-rc.d-insserv does not exist yet.
  * Changed check-initd-order to load virtual facilities from
    /etc/insserv.conf (Closes: #459522)
  * Extended testsuite to more closely match real Debian for the
    shutdown sequence.
  * New patch 46_complete_removal.dpatch to make sure all symlinks are
    removed on removal (Closes: #460034).  Based on patch from Kel
    Modderman.  Made failing removal test fatal.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Jan 2008 14:45:27 +0100

insserv (1.10.0-5) unstable; urgency=low

  * Made sure to initialize the badstate variable before it is used in
    update-bootsystem-insserv.
  * Removed override files for uptimed and uptimed.sh, as the uptimed
    package now include the LSB headers.
  * Make sure to give a proper error message when failing to enable
    dependency based boot system and insserv return an error code
    (Closes: #461141).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Jan 2008 23:29:09 +0100

insserv (1.10.0-4) unstable; urgency=low

  * Made problematic test cases for bug #460034 and #458582 fatal
    in testing and non-fatal when uploading.
  * Added override files for bastille-firewall.
  * Do not warn about obsolete init.d scripts that have been removed
    (Closes: #461073).  Patch from Kel Modderman.
  * Provide more information when convertion to dependency based boot
    sequencing can not be done.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Jan 2008 22:00:50 +0100

insserv (1.10.0-3) unstable; urgency=low

  * Added test case for problem with symlink removal, bug #460034.
  * Added override files for uptimed, uptimed.sh and guarddog.
  * Removed override file nfs-user-server as the compiled in defaults
    are better than the proposed overrides.
  * Add mountoverflowtmp to virtual facility $local_fs, to make sure
    /tmp/ is always mounted before the scripts needing /tmp/ is
    started.  Conflict with initscripts before 2.86.ds1-48, to avoid a
    dependency loop with this change.
  * Make debconf question translatable (Closes: #386703).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Jan 2008 19:32:34 +0100

insserv (1.10.0-2) unstable; urgency=low

  * Implement new check-initd-order option -c to be used with -g to
    generate a combined graph for boot and shutdown dependencies.
  * Split test suite into two files, one generic part
    (testsuite-common) and one Debian specific part (run-testsuite).
  * Remove ntpdate and ntp-server as optional dependencies for $time
    as both are obsolete, and changing them to the current 'ntp' would
    make a loop.
  * Removed override file for resolvconf and laptop-netconf, as the
    unstable packages got the header now.
  * Removed override file for devmapper, as the unstable packages no
    longer include a init.d script
  * Remove reference to lwresd in headers-reported, as the unstable
    package got the header now.
  * Added override files for the console-cyrillic and
    gibraltar-bootsupport package.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  9 Jan 2008 22:42:31 +0100

insserv (1.10.0-1) unstable; urgency=low

  * New upstream version released 2007-10-10.
    - Updated patches 10_nosuse, 20_path_at_runtime, 21_overrides and
      43_shutdown to apply on the new version.
    - Removed patch 11_revdepend as it is included upstream.
  * In graphs, name scripts without provides header, and scripts
    without LSB header, using the name of the file in /etc/init.d/.
    This make it easier to spot loops involving these scripts.
  * Added override file for hpoj.
  * Ask if insserv should be activated at install time, using a medium
    priority debconf question.  The default is no.
  * Restructure test script to work with new test feature implemented
    in version 1.10.
  * Update patch 42_redundantlvl to get rid of two compiler warnings.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  7 Jan 2008 23:37:53 +0100

insserv (1.09.0-14) unstable; urgency=low

  * Changed patch 21_overrides to only warn once about scripts without
    LSB header, to reduce the noise.
  * Changed patch 21_overrides to speed up processing by only reading
    override default files only when the script is lacking an LSB header.
  * Moved default dependency values from patch 21_overrides to
    41_debiandefault where it belong.
  * New test to check that scripts introducing a loop (or a fake loop,
    see bug #458582) will refuse to install.
  * New patch 45_loopsarefatal to make sure insserv considering all
    kind of loops fatal, to not mess up the script sequences.
  * Introduce very simple manual page for update-rc.d-insserv.
  * Make failing 'make clean' fatal, as it should always work.
  * Change debconf template text to make it easier to understand.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Jan 2008 09:37:43 +0100

insserv (1.09.0-13) unstable; urgency=low

  * Update patch 21_overrides to fix bug in override handling.  Now a
    header in a script or override file complete replaces previously
    loaded headers.
  * Add test to check and verify that override files in
    /etc/insserv/override replaces headers in the scripts in
    /etc/init.d/, and made previously failing loop breaking test
    fatal, as it is working with the fixed override patch.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Jan 2008 12:25:55 +0100

insserv (1.09.0-12) unstable; urgency=low

  * New patch 34_debian_fixedscripts to hardcode a few script sequence
    numbers, to let the generated boot sequence be more like the
    original one.  Modified 40_nonsusescripts to no longer disable the
    setlsb() function.  This patch is not enabled by default, as it is
    not obvious that it is a good idea.
  * Added override files for hostname.dhcp and mountfix.
  * Adjust override file for lvm2, to provide both lvm2 and lvm, to
    make it easier until the lvm provide is dropped.
  * Adjust override file for lvm2 to use reverse depend on checkfs,
    mountall and umountfs to make it possible to drop lvm relations
    from initscripts.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Jan 2008 01:38:00 +0100

insserv (1.09.0-11) unstable; urgency=low

  * Added test to demonstrate the fake loop warning issue (bug
    #458582).
  * Implemented support for non-fatal tests in the testsuite.
  * Added override file for dmraid, scsitools-pre.sh and scsitools.sh.
  * Added patch 44_reportloopmemb to make loop reporting code in
    insserv more helpful, and make sure to report the extended loop
    output in update-bootsystem-insserv when refusing to switch to
    dependency based boot (Closes: #458683).
  * Move code to divert update-rc.d from postinst to
    update-bootsystem-insserv, to make sure both ways to activate
    insserv are equivalent.
  * Extended check-initd-order to graph services with multiple
    provides as two nodes that depend on each other, and which ahve
    the same dependencies.
  * Changed update-bootsystem-insserv to call 'reset' after looping
    over packages postinst scripts, in case the terminal is messed up
    as it is when I test it.
  * Disabled check for reverse dependencies in check-initd-order.  It
    does not to work properly, and gave false error reports.
  * Removed flag file /etc/update-rc.d-insserv and use the update-rc.d
    diversion as the flag to detect if insserv is enabled.  Adjustd
    package removal and update-rc.d-insserv to reflect this.
  * Added Vcs-Svn and Vcs-Browser info in control file, pointing to
    the Debian packaging project.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  2 Jan 2008 18:41:31 +0100

insserv (1.09.0-10) unstable; urgency=low

  * Make sure to exit with an error code if it isn't safe to remove
    the package.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  1 Jan 2008 21:12:24 +0100

insserv (1.09.0-9) unstable; urgency=low

  * Removed override file pptpd as the compiled in defaults are better
    than the proposed overrides.
  * Correct override file for laptop-netconf after checking the script
    and the package.
  * Added override file for racoon, and corrected override file for
    setkey, after checking the scripts in the package.
  * Try to make recovery routine more robust by not trying to run
    non-existing postinst scripts, and only run postinst scripts for
    packages with executable scripts in /etc/init.d/.
  * Extended check-initd-order to check optional start dependencies,
    and implement check of the shutdown sequence.
  * Extended to check reverse dependencies too.
  * Changed enabling code to refuse to convert to dependency based
    boot sequence when obsolete init.d scripts are found, as these
    tend to mess up the boot sequence.
  * Changed enabling code to refuse to convert to dependency based
    boot sequence if several scripts provide the same service.
  * Added prerm code to refuse to be removed while enabled, to avoid
    messing up the boot system completely.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  1 Jan 2008 21:08:14 +0100

insserv (1.09.0-8) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Removed override files cpqarrayd, hotkey-setup and spamassassin as
    they are equivalent with the defaults compiled into insserv.
  * Removed override files courier-ldap, courier-authdaemon,
    courier-imap-ssl and courier-imap, irqbalance and nethack-common
    as the compiled in defaults are better than the proposed
    overrides.
  * Extended check-initd-order to graph reverse dependencies
    (X-Start-Before and X-Stop-AFter).  Draw reverse dependencies in
    yellow.
  * Added patch 11_revdepend fetched from a review copy of version
    1.10.  Modified 20_override to cope with the change.  Based on
    changes from Werner Fink.
  * Renamed patches 20_overrides to 21_overrides and
    44_path_at_runtime to 20_path_at_runtime, to prepare for Otavios
    extensions.

  [ Otavio Salvador ]
  * Extended patch 21_override to allow override path changing so the
    unit test can use it.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Dec 2007 19:26:00 +0100

insserv (1.09.0-7) unstable; urgency=low

  * Try to make it it easier to disabling the dependency based boot
    sequencing by calling the postinst of all packages with init.d
    scripts to  register the scripts again.
  * Extend check-initd-order to handle the virtual dependecy $all.
  * Reword the debconf question to try to make it clearer and
    easier to understand.
  * Minor cleanup in irqbalance and atd override file, only depend
    on $remote_fs, no need to also depend on $local_fs.
  * Update check-initd-order to use the same default dependencies
    ($remote_fs $syslog) and the same virtual dependencies as insserv
    when generating dotty graphs.
  * Update check-initd-order to draw left-to-right dotty graphs.
    Based on tip from Frans Pop and Trent Buck.
  * Update lvm2 override to stop before umountroot.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Dec 2007 18:48:47 +0100

insserv (1.09.0-6) unstable; urgency=low

  * Update patch 20_overrides to let scripts without an LSB header
    depend on $syslog as well as $remote_fs.
  * Add test case to check that scripts without LSB header is ordered
    after syslog

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Dec 2007 12:39:33 +0100

insserv (1.09.0-5) unstable; urgency=low

  * Update patch 44_path_at_runtime to include support for -c to point
    to a local config file.  It is required for a proper test suite.
  * Fix typo in test suite and extend it to check more scenarios.
  * Use local config file when running test suite.
  * Change $syslog virtual facility to depend on either syslog or
    sysklogd.  The sysklogd script provide syslog and not the sysklogd
    string that was requested in bug #324679.
  * Update patch 31_debian_conf to list udev mountdevsubfs checkroot
    checkfs console-screen as interactive scripts that should run
    alone.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Dec 2007 09:23:22 +0100

insserv (1.09.0-4) unstable; urgency=low

  * Update patch 20_overrides to add useful default values for scripts
    without LSB header (Closes: #431697).
  * Update patch 43_shutdown to handle scripts with both start and
    stop levels.  (Closes: #452462).
  * New patch 44_path_at_runtime to add new option -p to make it
    possible to replace /etc/init.d with another path for testing.
  * Add script debian/run-testsuite to test the generated order, and
    use it during the build.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Dec 2007 16:00:31 +0100

insserv (1.09.0-3) unstable; urgency=low

  * Update patch 40_nosusescript to disable unused function setlsb().
  * Add sendsigs to the $remote_fs virtual facility, to make sure the
    services depending on $remote_fs for the shutdown sequence are not
    killed before their init.d script get a chance to stop them.
  * New patch 43_shutdown to fix the handling of stop scripts and thus
    the shutdown sequence (Closes: #452462).  Thanks to Otavio
    Salvador for help with debugging and part of the patch.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Dec 2007 00:20:04 +0100

insserv (1.09.0-2) unstable; urgency=low

  * New patch 10_nosuse to disable SUSE specific build.  This make
    it easier to debug insserv.
  * Update patch 40_nosusescript to remove SUSE-specific handling
    of the halt and reboot script.
  * Remove all override files for init.d scripts with LSB style
    dependency headers (Closes: #386544).
  * Update snmptrapfmt override file, making it more accurate.
  * Updated standards-version from 3.7.2 to 3.7.3.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Dec 2007 14:24:26 +0100

insserv (1.09.0-1) unstable; urgency=low

  * New upstream release. (Closes: #426091)
    - Support X-Start-Before and X-Stop-After (Closes: #326120)
    - Building with DEB_BUILD_OPTIONS=nostrip no longer strip the
      binary. (Closes: #437210)
  * Let /usr/share/insserv/check-initd-order read override files in
    /etc/insserv/overrides/ just like insserv does.  Patch from Arjan
    Oosting.  (Closes: #429398)
  * Correct the dependencies for nbd-client and libnss-ldap.
  * Add override file for spamassassin.
  * Update watch file with new upstream URL. (Closes: #450044)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Nov 2007 21:17:20 +0100

insserv (1.08.0-14) unstable; urgency=low

  * Correct the dependencies for hwclock.sh.
  * Update libdevmapper*, raid2 and mdadm-raid by adding
    module-init-tools as an alternative to modutils, and move
    both from required-start to should-start, as either or both
    might be available. (Closes: #432072)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  9 Jul 2007 13:40:36 +0200

insserv (1.08.0-13) unstable; urgency=low

  * Add override files for sysfsutils and hplip.
  * Add cryptdisks-early as should-start to the lvm2 override
    file (Closes: 429402)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Jun 2007 17:32:50 +0100

insserv (1.08.0-12) unstable; urgency=low

  * Add override files for nbd-server and libdevmapper1.02.1.
  * Update override files for atd, atftpd, discover, enable-nat,
    keymap.sh, klogd, mplayer, networking, open-backdoor,
    openbsd-inetd, report-reboot, rsync and start-wlan
    based on the headers in the packages themselves.
  * Add override file for lvm2 (Closes: #426104).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 26 May 2007 12:42:38 +0200

insserv (1.08.0-11) unstable; urgency=low

  * Add override file for timidity.
  * Add override file for powernowd.
  * Add override file for laptop-mode.
  * Update override file for libnss-ldap.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  2 Nov 2006 13:36:10 +0100

insserv (1.08.0-10) unstable; urgency=low

  * Add override file for cpqarrayd.
  * Add override file for libpam-devperm.
  * Add override file for screen-cleanup.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Oct 2006 21:00:31 +0200

insserv (1.08.0-9) unstable; urgency=low

  * Change bind9 override file to avoid dependency loop involving
    $syslog->sysklogd->$named->bind9.  Remove $syslog dependency and
    insert $remote_fs dependency instead.  Make the $network dependency
    conditional to work when netbase is not installed.
  * Add override file for resolvconf.
  * Add override file for installation-report.
  * Minor cleanup in nviboot override file, only depend on $remote_fs, no need
    to also depend on $local_fs.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  7 Oct 2006 10:08:04 +0200

insserv (1.08.0-8) unstable; urgency=low

  * Add override files for festival, hotkey-setup and lisa.
  * New patch 41_debiandefault to set the default runlevels for start (2345)
    and stop (016) on Debian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Sep 2006 17:32:24 +0200

insserv (1.08.0-7) unstable; urgency=low

  * Remove override file console-screen.sh.  The info is now present in the
    file itself.
  * Modify override file for lvm to document that it should stop just
    before halt and reboot.
  * Modify override file for exim4 to only conditional depend on $named.
  * Rewrite check-initd-order to avoid the dependency on perl-modules,
    to make it easier to run in systems with small disks.
  * Remove override files for aumix, cfengine2, cryptdisk, hdparm,
    ifupdown, ifupdown-clean, kdm, nfs-common, nfs-kernel-server,
    pcmcia, portmap, sudo, udev, udev-mtab, x11-common,
    xdebconfigurator.  It is good enough in the scripts themselves
    now.
  * Modify override file for atd to avoid redundant dependencies and
    drop runlevel 'S' from the stop list.  Reported as bug #376780.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Sep 2006 15:15:49 +0200

insserv (1.08.0-6) unstable; urgency=low

  * Minor change to the template text, explaining that the S* symlinks
    are renamed to K* symlinks in rc0.d/ and rc6.d/.
  * Correct override file for sysklogd and klogd.  These should not
    start in runlevel S, and should stop in runlevel 1.
  * Add $syslog to the dependency list for openbsd-inetd, to make sure
    it can log its start to syslog.  Drop $local_fs, as it is a
    dependency for $remote_fs.
  * New patch debian/patches/40_nosusescript to avoid inserting the
    'single' script showing up in runlevel S, and also avoid fixing
    the sequence number to the values used by SuSe.
  * Correct override file for hotplug-net, it should depend on $local_fs.
  * Correct override file for hotplug, it should stop before $local_fs.
  * Modify patch 31_debian_conf to also list ifupdown as part of the
    $network facility, to make $network available in runlevel 0 and 6.
  * Try to make update-bootsystem-insserv more robust on restores.
    Move conversion logs and related files to /var/lib/insserv.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 10 Sep 2006 20:17:15 +0200

insserv (1.08.0-5) unstable; urgency=low

  * New flag -k for check-initd-order to look at the stop sequence instead
    of the start sequence.
  * Correct override files for acpid, alsa, alsa-utils, apmd,
    hwclockfirst.sh, ifupdown, modutils, networking, nullmailer,
    openbsd-inetd, pcmcia, procps.sh, and update-hostname.
  * Remove override files for bootlogd, bootmisc.sh, checkfs.sh,
    checkroot.sh, glibc.sh, halt, hostname.sh, module-init-tools,
    mountall.sh, mountdevsubfs.sh, mountnfs.sh, reboot, rmnologin,
    sendsigs, single, stop-bootlogd, umountfs umountnfs.sh and urandom
    as the scripts themselves now have correct dependency information
    in them.
  * With the current patches and dependency info, insserv generate
    correct shutdown order.  (Closes: #350188)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  9 Sep 2006 20:23:28 +0200

insserv (1.08.0-4) unstable; urgency=low

  * Change update-bootsystem-insserv to refuse to convert the boot
    system if there are dependency loops.
  * New patch 37_consistent_path to make more consistent log output.
  * Adjust the the rules file to make sure we build using the compiler options
    specified there.
  * New patch 33_debian_localok making .local a valid ending,
    to accept script names like 'rc.local'.
  * New patch 38_debuginfo to improve the debug output.
  * New patch 39_debianlvl.dpatch to handle rcS.d/ a bit better.
  * Add override for mountdevsubfs.sh, documenting its
    relation to udev.
  * Add override for stop-bootlogd, documenting that it should come late,
    after rmnologin.
  * Make it easier to enable the dependency based boot system by
    adding a fairly well hidden debconf question to activate it.
  * Adjust the override files for dns-clean, hotplug, hotplug-net,
    hwclock.sh, keymap.sh, libdevmapper1.00, libdevmapper1.01,
    libdevmapper1.02, modutils, nviboot and procps.sh to make sure
    they only start in runlevel S.
  * Adjust override file for acpid, nstxd and nstxcd, to make sure
    they are not started in runlevel S.
  * Adjust override file for makedev and rmnologin, there is
    no reason to add stop links for them.
  * Remove 'S' from all override files listing it in should-stop.  It
    never make sense to add stop scripts in rcS.d/.
  * Allow check-initd-order to continue even if one file is unreadable.
  * Add override files for apt-index-watcher, vbesave, acpi-support
    and libnss-ldap.
  * Correct the definition of $remote_fs to include mountnfs,
    mountnfs-bootclean and umountnfs.
  * Correct the definition of $local_fs to include mountfs,
    mountfs-bootclean and umountfs.
  * Adjust the override file for openbsd-inetd, to make sure it start
    after /usr/ is mounted.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  8 Sep 2006 19:14:15 +0200

insserv (1.08.0-3) unstable; urgency=low

  * Extend check-initd-order to accept a new argument -o, to not load
   the override files.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  7 Sep 2006 11:59:17 +0200

insserv (1.08.0-2) unstable; urgency=low

  * New patch 35_fixunused removing incorrect 'unused' flagg from a
    few functions, to avoid compile warning on s390.
  * New patch 36_memleak fixing a minor memory leak.
  * Updated override file for libdevmapper1.00.
  * Added override file for libdevmapper1.02.
  * Sync override files with the unstable init.d scripts for
    alsa,alsa-utils, atd, bootlogd, bootmisc.sh, cfengine2,
    checkfs.sh, checkroot.sh, console-screen.sh, cryptdisk, exim4,
    fam, halt, hdparm, kdm, keymap.sh, makedev, module-init-tools,
    mountall.sh, mountnfs.sh, networking, nfs-common,
    nfs-kernel-server, pcmcia, portmap, pppd-dns, procps.sh, reboot,
    rmnologin, single, sudo, udev, udev-mtab, umountfs, umountnfs.sh,
    urandom and xdebconfigurator.  I assume the package maintainer
    know the scripts best, and use their values.
  * Added override file for usplash.
  * Modify update-bootsystem-insserv to report dependency loop
    problems. (Closes: #386301)
  * Add recommend on perl-modules. (Closes: #386300)
  * Update standards-version to 2.7.2.  No changes needed.
  * Do not include 'klogd' in the $syslog facility, to avoid
    dependency loop.
  * Change mountvirtfs to mountdevsubfs in all override files, to
    use the new name instead of the obsolete name.
  * The keymap override should not depend on $syslog, and neither should
    keymap.sh itself (bug #386338).
  * Update 20_overrides.dpatch to new version of the source.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  7 Sep 2006 00:45:18 +0200

insserv (1.08.0-1) unstable; urgency=low

  * New upstream release.
  * Correct name of logfile, moving the stderr redirect to the insserv
    call. (Closes: #349494)
  * Add code in update-bootsystem-insserv to convert all S* symlinks
    in rc1.d and rc6.d to K* symlinks before insserv is executed. to
    reflect the argument passed on to these scripts in debian.
    Addresses part of bug #350188.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  1 Apr 2006 17:30:35 +0100

insserv (1.04.0-2) unstable; urgency=low

  * Modify 20_override.dpatch based on input from upstream author
    Werner Fink, to add more error handling.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Nov 2005 15:35:27 +0100

insserv (1.04.0-1) unstable; urgency=low

  * New upstream release.
    - Start building without -DSUSE, to enable processing of *-stop headers.
  * Updated upstream URL in copyright file to match the latest location.
  * Remove 40_dryrunmore.dpatch, applied upstream.
  * Remove 41_dryrun_msg.dpatch, applied upstream.
  * Remove 50_cfgfilter.dpatch, applied upstream.
  * Merged 20_overrides.dpatch and 25_overrides.dpatch into one patch
    20_overrides.dpatch.
  * New 34_debian.dpatch modifying the paths from rc#.d/, getting
    non-SUSE case working on Debian.
  * New patch 30_non_suse.dpatch fixing segfault in the non-SUSE case.
  * Updated init.d override files for hwclockfirst, ifupdown,
    ifupdwon-clean, initrd-tools, keymap, networking, procps and
    udev-mtab.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Nov 2005 22:50:14 +0100

insserv (1.02.0-3) unstable; urgency=low

  * Added init.d override files for acct, apache2, snmpd and snmptrapfmt.
  * Updated and corrected override file for alsa, apache, atd, cron,
    gdm, gpsd, initrd-tools, udev-mtab and xdm.
  * Wrote graphviz dotty graph generation support for check-init-order (-g).
  * Updated README.Debian to reflect the current status in Debian, and
    included some instructions on how to use this package.
  * Documented in the override files which dependency information I've
    reported to BTS.
  * Add 'ntpdate' as a optional dependency for the $time virtual
    facility, to make sure NTP update is done on machines without
    their own NFS server
  * Wrote manual page for update-bootsystem-insserv(8).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Nov 2005 00:18:49 +0100

insserv (1.02.0-2) unstable; urgency=low

  * Added init.d override files for hibernate, mdadm-raid, start-wlan
    and x11-common.
  * Corrected sysklogd override file, to only provide sysklogd.
  * Document BTS bug numbers in the override file for the init.d
    dependency headers I've submitted to the package maintainer.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  5 Oct 2005 17:04:01 +0200

insserv (1.02.0-1) unstable; urgency=low

  * New upstream version.
    - Rewritten to handle non-SuSe systems better.
    - Patches 05_verbose_doc, 10_dryrun, and 50_lsb_shold_std removed,
      as they are included upstream.
    - Updated patch 40_dryrunmore to match new version, and extend it to
      also cover SuSe code.
  * Still building with -DSUSE as the new non-SuSe features are still
    buggy.
  * Changed download URL in copyright file to
    <URL:ftp://ftp.suse.com/pub/projects/init/>.
  * Removed rc and rcS, as a version of sysvinit
    with equivalent patches is in sid and etch now.
  * Added and updated init.d dependency info override files.
    The provided dependencies is tested to work on my test machines
    with 2.4 and 2.6 installs. (Closes: #325798)
  * New script update-bootsystem-insserv to reorder
    the boot scripts with a backup.
  * Avoid initscripts with .dpkg* in the name.
    (51_cfgfilter_dpkg.dpatch) (Closes: #326445)
  * Add dependency on sysv-rc. (Closes: #329279)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  3 Sep 2005 13:18:51 +0200

insserv (1.00.8-5) unstable; urgency=low

  * Updated dependency info for (module-init-tools, modutils, raid2, mdadm)
  * Added dependency override files (noflushd, laptop-net, whereami, pcscd)

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  2 Sep 2005 09:21:25 +0200

insserv (1.00.8-4) unstable; urgency=low

  * Added dependecy override files (xdm, irqbalance).
  * Updated dependency info for a few override files (devfsd,
    discover, hotplug, hotplug-net, hwclock.sh, keymap.sh, rmnologin,
    sudo, gdm, lvm, ntpdate, xfs, aumix, freevo, laptop-netconf,
    report-reboot, open-backdoor).
  * New patch to avoid warning about missing override files if the
    init.d file already contain LSB tags.  (25_override.dpatch)
  * Correct header example in the insserv(8) manual page.
    (50_lsb_should_std.dpatch)

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  1 Sep 2005 22:24:51 +0200

insserv (1.00.8-3) unstable; urgency=low

  * Added dependecy override files (nullmailer, binfmt-support).
  * Add suggests on bootchart, a great tool to debug the boot
    sequence.
  * New patch to get dryrun mode working also when /etc/rc.boot is
    missing. (40_dryrunmore.dpatch)
  * Added more information about the dangers of reorganizing the boot
    sequence in README.Debian.
  * Some package cleanup.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 30 Aug 2005 00:20:16 +0200

insserv (1.00.8-2) unstable; urgency=low

  * Updated and added dependecy override files.
  * Added script check-initd-order, trying to check the current boot
    sequence in debian based on the LSB headers present.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Aug 2005 00:20:16 +0200

insserv (1.00.8-1) unstable; urgency=low

  * Initial Release. (Closes: #324926)
  * Document the -v (--verbose) flag. (05_verbose_doc.dpatch)
  * Implement new option -n (--dryrun). (10_dryrun.dpatch)
  * Implement support for reading LSB init.d header info from override
    files. (20_overrides.dpatch)
  * Adjust some paths and avoid installing LSB install scripts to
    match Debian policy.  (30_debian.dpatch)
  * Add README.Debian explaining how to test this.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 26 Aug 2005 00:19:16 +0200
